@use 'sass:math';

.Header-container {
  width: 100%;
  padding: 1.25rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.header {
  padding: 0rem 8rem;
  display: flex;
  align-items: center;

  &__Logo {
    display: flex;

    padding-right: 5rem;
    &__LogoImg {
      max-height: 23px;
      min-height: 23px;
      width: auto;

      vertical-align: middle;
    }
  }

  &__collapse {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
    flex-basis: auto;
    padding-left: 5rem;
    &__droplist {
      display: none;

      img {
        position: relative;
        width: 30px;

        height: 30px;
      }
      .open {
        visibility: visible;
      }
      .droplistcontainer.is--active {
        visibility: visible;
        opacity: 1;
      }
      .droplistcontainer {
        width: 95vh;
        height: 98vh;

        display: flex;
        visibility: hidden;
        flex-direction: column;

        border: 2px solid rgb(245, 244, 244);
        overflow-y: scroll;
        transform: translate(-700px, -12px);

        transition: 0.2s;
        position: fixed;
        z-index: 10000;

        border-radius: 10px;
        background-color: #fff;

        p {
          font-weight: 600;
          color: #506690;
        }
        a {
          width: 100%;
          padding: 2rem 0;
          justify-content: center;
          align-items: center;
          text-decoration: none;
          display: flex;
          color: #fff;
          font-size: 1rem;
          font-weight: 600;
          background-color: #335eea;
          border-bottom-right-radius: 10px;
        }
        .page {
          width: 100%;
          display: flex;
          justify-content: flex-start;
          flex-direction: column;
          border-bottom: 0.3px solid rgb(245, 244, 244);

          h3 {
            margin-left: 30px;
            color: #506690;
            font-size: 1.5rem;
            font-weight: 600;
            cursor: pointer;
            &:hover {
            }
          }

          .content {
            margin-left: 30px;
            margin-right: 100px;
            width: 80%;
            display: flex;
            justify-content: space-between;
            flex-wrap: nowrap;
            .itempagelist {
              display: flex;
              flex-direction: column;
              justify-content: flex-start;
              .item1 {
                display: flex;
                flex-direction: column;
                h3,
                p {
                  margin: 0;
                  padding: 0;
                }
                p {
                  margin: 10px 0;
                  font-size: 1rem;

                  cursor: pointer;
                  &:hover {
                    color: #335eea;
                  }
                }
                h3 {
                  margin: 10px 0;
                  font-size: 20px;
                  color: #335eea;
                  font-weight: 600;
                }
              }
              .item2 {
                display: flex;
                flex-direction: column;
                h3,
                p {
                  margin: 0;
                  padding: 0;
                }
                p {
                  margin: 10px 0;
                  font-size: 1rem;

                  cursor: pointer;
                  &:hover {
                    color: #335eea;
                  }
                }
                h3 {
                  margin: 10px 0;
                  font-size: 20px;
                  color: #335eea;
                  font-weight: 600;
                }
              }
            }
          }
        }
        .landing {
          width: 100%;
          display: flex;
          justify-content: flex-start;
          flex-direction: column;
          border-bottom: 0.3px solid rgb(245, 244, 244);

          .exit {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-left: 30px;
            margin-right: 80px;
            position: relative;
            .exitmenu {
              width: 30px;
              height: 30px;
              cursor: pointer;
            }
            img {
              width: 18px;
              height: 18px;
              cursor: pointer;
            }
            h3 {
              color: #506690;
              font-size: 1.5rem;
              font-weight: 600;
              cursor: pointer;
            }
          }

          .content {
            margin-left: 30px;
            margin-right: 100px;
            display: flex;
            justify-content: space-between;
            align-items: flex-start;
            margin-bottom: 40px;
            h3 {
              margin: 0;
            }
            .item {
              h3,
              p {
                margin: 0;
                padding: 0;
              }
              p {
                margin: 25px 0;
                font-size: 1rem;

                cursor: pointer;
                &:hover {
                  color: #335eea;
                }
              }
              span {
                color: #335eea;
              }
              h3 {
                font-size: 20px;
                margin: 10px 0;
                color: #335eea;
                font-weight: 600;
              }
              .item1 {
                display: flex;
                justify-content: flex-start;
                flex-direction: column;
                margin-bottom: 20px;
                h3,
                p {
                  margin: 0;
                  padding: 0;
                }
                h3 {
                  font-size: 20px;
                  margin: 10px 0;
                  color: #335eea;
                  font-weight: 600;
                }
                p {
                  margin: 10px 0;
                  font-size: 1rem;

                  cursor: pointer;
                  &:hover {
                    color: #335eea;
                  }
                }
              }
              .item2 {
                h3,
                p {
                  margin: 0;
                  padding: 0;
                }
                p {
                  margin: 10px 0;
                  font-size: 1rem;

                  cursor: pointer;
                  &:hover {
                    color: #335eea;
                  }
                }
                h3 {
                  font-size: 20px;
                  margin: 10px 0;
                  color: #335eea;
                  font-weight: 600;
                }
                display: flex;
                justify-content: flex-start;
                flex-direction: column;
              }
            }
          }
        }
        .account {
          width: 100%;
          display: flex;
          justify-content: flex-start;
          flex-direction: column;
          border-bottom: 0.3px solid rgb(245, 244, 244);

          h3 {
            margin-left: 30px;
            color: #506690;
            font-size: 1.5rem;
          }
          p {
            color: #506690;
            font-size: 1rem;
            cursor: pointer;
            &:hover {
              color: #335eea;
            }
          }
          .accountList {
            margin-left: 30px;
            margin-right: 100px;
            display: flex;
            justify-content: flex-start;
            flex-direction: column;
            .acclistitemn {
              display: flex;
              justify-content: space-between;
              img {
                width: 20px;
                height: 20px;
              }
            }
          }
        }
        .document {
          width: 100%;
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          h3 {
            margin-left: 30px;
            font-size: 1.5rem;
            color: #506690;
            font-weight: 600;
          }
          .docList {
            margin-left: 30px;
            margin-right: 100px;
            display: flex;
            flex-direction: column;
            .doclistitem {
              display: flex;

              align-items: center;
              margin-bottom: 30px;
              p {
                margin-left: 25rem;
                width: 80px;
                height: 25px;
                display: flex;
                justify-content: center;
                align-items: center;
                border-radius: 8px;
                border: 0.2px solid rgb(241, 240, 240);
                background-color: rgba(51, 94, 234, 0.1);
                color: #335eea;
              }
              .text {
                display: flex;
                flex-direction: column;
                justify-content: flex-start;
                margin-left: 20px;
                h3 {
                  margin: 0;
                  padding: 0;
                }
                p {
                  margin: 0;
                  padding: 0;
                  background: none;
                  width: 0;
                  height: 0;
                  display: inline;
                  color: #506690;
                  white-space: nowrap;
                }
                h3 {
                  font-size: 20px;
                  margin-bottom: 10px;
                  color: #335eea;
                  font-weight: 600;
                }
              }
            }
          }
        }
      }
    }

    &__menu {
      visibility: visible;

      display: flex;
      justify-content: center;
      align-items: center;

      &__list {
        display: flex;
        align-items: center;
        justify-content: space-evenly;

        &__item {
          padding: 0.5rem;
          display: flex;
          justify-content: center;
          align-items: center;
          position: relative;
          a {
            padding: 8px 24px;
          }
          &:hover {
            .cardList {
              display: flex;
            }
          }

          &__itemtitle {
            color: #000;
            font-size: 20px;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            font-weight: 600;

            text-decoration: none;
            &:hover {
              color: #3058dc;
            }
          }
          .cardList {
            box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, 0.05);
            display: none;

            margin-top: 25rem;
            position: absolute;
            z-index: 100;
            border-radius: 8px;
            transition: 0.2;
            overflow: hidden;
            border: 0.3px solid rgb(245, 241, 241);
            .docList {
              display: flex;
              flex-direction: column;
              background: #fff;
              box-sizing: content-box;
              .doclistitem {
                display: flex;

                justify-content: space-between;
                align-items: flex-start;
                padding: 1rem 3rem;
                border: none;
                border-bottom: 0.3px solid rgb(225, 222, 222);
                margin-top: 30px;
                svg {
                  margin-right: 30px;
                }
                p {
                  color: #335eea;
                  text-transform: uppercase;
                  font-size: 0.75rem;
                  white-space: nowrap;
                  background-color: rgba(51, 94, 234, 0.1);
                  color: #335eea;
                  border-radius: 20px;
                  padding: 0.5rem 1rem;
                  margin-left: 30px;
                }
                .text {
                  display: flex;
                  flex-direction: column;
                  justify-content: flex-start;
                  margin-right: 30px;

                  h3,
                  p {
                    margin: 0;
                    padding: 0;
                  }
                  h3 {
                    color: #335eea;
                    text-transform: uppercase;
                    font-size: 0.75rem;
                    margin-bottom: 20px;
                  }
                  p {
                    color: #506690 !important;
                    text-transform: uppercase;
                    font-size: 0.75rem;
                    border: none;
                    background: none;
                    white-space: nowrap !important;
                  }
                }
              }
            }
            .accountList {
              display: flex;
              flex-direction: column;
              display: flex;

              background: #fff;
              .acclistitemn {
                margin-top: 5px;
                margin-left: 40px;
                margin-right: 40px;
                margin-bottom: 5px;
                display: flex;
                justify-content: space-between;
                align-items: center;
                img {
                  width: 30px;
                  height: 30px;
                }
                p {
                  white-space: nowrap;
                  margin-bottom: 19px;
                  font-size: 1rem;
                  font-weight: 600;
                  color: #506690;
                  &:hover {
                    color: #335eea;
                  }
                }
              }
            }
            .pageList {
              display: flex;

              height: 350px;
              background: #fff;
              .itempagelist {
                margin-top: 20px;
                margin-left: 40px;
                margin-right: 20px;
                margin-bottom: 20px;
              }
              h3,
              p,
              span {
                margin: 0;
                padding: 0;
              }
              h3 {
                font-size: 1.25rem;
                font-weight: 600;
                white-space: nowrap;
                color: #335eea;
                margin-bottom: 25px;
              }
              p {
                white-space: nowrap;
                margin-bottom: 19px;
                font-size: 1rem;
                font-weight: 600;
                color: #506690;
                &:hover {
                  color: #335eea;
                }
              }
            }
            .img {
              position: relative;
              display: flex;
              justify-content: center;
              align-items: center;

              .contentimg {
                position: absolute;
                z-index: 100;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                h2 {
                  font-size: 25px;
                  color: #fff;
                  font-weight: 600;
                }
                p {
                  font-size: 20px;
                  color: #fff;
                  font-weight: 600;
                }
                a {
                  text-align: center;
                  padding: 1rem 1.5rem;
                  text-decoration: none;
                  font-size: 25px;
                  background-color: #fff;
                  color: #335eea;
                  border-radius: 10px;
                  border: none;
                  font-weight: 500;
                }
              }

              img {
                max-height: 350px;
                object-fit: cover;
              }
              .opacity {
                position: absolute;
                /* width: 100%; */
                z-index: 1;
                width: 350px;
                height: 350px;
                position: absolute;
                width: 100%;
                background-color: #335eea;
                opacity: 0.8;
              }
            }
            .content {
              display: flex;
              background: #fff;
              align-items: flex-start;
              width: 350px;

              .item {
                display: flex;
                flex-direction: column;
                justify-content: flex-start;
                margin-left: 60px;
                margin-top: 20px;
                margin-bottom: 20px;

                h3,
                p,
                span {
                  margin: 0;
                  padding: 0;
                }
                h3 {
                  font-size: 1.25rem;
                  font-weight: 600;
                  color: #335eea;
                  margin-bottom: 25px;
                }
                p {
                  margin-bottom: 19px;
                  font-size: 1rem;
                  font-weight: 600;
                  color: #506690;
                  &:hover {
                    color: #335eea;
                  }
                }
                .item1 {
                  h3,
                  p,
                  span {
                    margin: 0;
                    padding: 0;
                  }
                  h3 {
                    font-size: 1.25rem;
                    font-weight: 600;
                    color: #335eea;
                    margin-bottom: 25px;
                  }
                  p {
                    margin-bottom: 19px;
                    font-size: 1rem;
                    font-weight: 600;
                    color: #506690;
                    &:hover {
                      color: #335eea;
                    }
                  }
                  display: flex;
                  flex-direction: column;
                  justify-content: flex-start;
                }
                .item2 {
                  h3,
                  p,
                  span {
                    margin: 0;
                    padding: 0;
                  }
                  h3 {
                    font-size: 1.25rem;
                    font-weight: 600;
                    color: #335eea;
                    margin-bottom: 25px;
                  }
                  p {
                    margin-bottom: 19px;
                    font-size: 1rem;
                    font-weight: 600;
                    color: #506690;
                    &:hover {
                      color: #335eea;
                    }
                  }

                  display: flex;
                  flex-direction: column;
                  justify-content: flex-start;
                }
              }
            }
          }

          &:hover {
          }
        }
      }
    }

    &__button {
      display: flex;
      justify-content: center;
      align-items: center;
      padding-left: 10rem;
      a {
        padding: 0.8rem 1rem;
        background-color: #3058dc;
        color: #fff;
        border-radius: 6px;
        border: 0.5px solid #bab7b7;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        font-size: 20px;
        font-weight: 600;
        text-decoration: none;
        transition: 0.5s;

        &:hover {
          transform: translateY(-5px);
          box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2),
            0 6px 20px 0 rgba(0, 0, 0, 0.19);
        }
      }
    }
  }
}

@media screen and (max-width: 1280px) {
  .header {
    padding: 0 1.25rem;
    &__collapse {
      &__menu {
        display: flex;
      }
      &__button {
        display: flex;
      }
    }
  }
}
@media screen and (max-width: 1024px) {
  .header {
    padding: 0 1.25rem;
    &__Logo {
      margin: 0;
      padding: 0;
    }
    &__collapse {
      &__menu {
        display: flex;
        &__list {
          &__item {
            a {
              font-size: 1.0625rem;
            }
          }
        }
      }
      &__button {
        display: flex;
        margin: 0;
        padding: 0;
        padding-left: 5rem;
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .header {
    padding: 0 1.25rem;
    &__Logo {
      margin: 0;
      padding: 0;
      margin-right: 16.5rem;
    }
    &__collapse {
      &__droplist {
        display: flex;
        margin-left: 16.5rem;
      }
      &__menu {
        display: none;
      }
      margin: 0;
      padding: 0;
      &__button {
        display: none;
        margin: 0;
        padding: 0;
      }
    }
  }
}

@media screen and (max-width: 900px) {
  .header {
    padding: 0 1.25rem;
    &__Logo {
      margin: 0;
      padding: 0;
      margin-right: 16.5rem;
    }
    &__collapse {
      &__droplist {
        display: flex;
        margin-left: 16.5rem;
      }
      &__menu {
        display: none;
      }
      margin: 0;
      padding: 0;
      &__button {
        display: none;
        margin: 0;
        padding: 0;
      }
    }
  }
}
@media screen and (max-width: 500px) {
  .header {
    padding: 0 1.25rem;
    &__Logo {
      margin: 0;
      padding: 0;
    }
    &__collapse {
      &__droplist {
        display: flex;
        margin-left: 12rem;
      }
      &__menu {
        display: none;
      }
      margin: 0;
      padding: 0;
      &__button {
        display: none;
        margin: 0;
        padding: 0;
      }
    }
  }
}
@media screen and (max-width: 414px) {
  .header {
    padding: 0 1.25rem;
    &__Logo {
      margin: 0;
      padding: 0;
    }
    &__collapse {
      &__droplist {
        display: flex;
        margin-left: 12rem;
      }
      &__menu {
        display: none;
      }
      margin: 0;
      padding: 0;
      &__button {
        display: none;
        margin: 0;
        padding: 0;
      }
    }
  }
}
